#ifdef AZURE_SERVICE_FABRIC
#ifndef _AZURE_PGARCH_H
#define _AZURE_PGARCH_H

/* maximum allowed batch size for gathering files to archive */
#define XLOG_ARCH_MAX_BATCH_SIZE 2000L

/* buffer type for recording xlog file names */
typedef char XFNBufferType[MAX_XFN_CHARS + 1];

/* allow calls to the legacy archiver ready method */
extern bool pgarch_readyXlog(char *xlog);

/* define calls to Azure-specific methods */
extern bool pgarch_archiveXlogForAzure(char *xlog);
extern int pgarch_XlogBatchSize();
extern XFNBufferType *pgarch_allocXlogBuffer();
extern void pgarch_freeXlogBuffer(XFNBufferType *xlogs);
extern int pgarch_readyXlogForAzure(XFNBufferType *xlogs, int batch_size);

#endif   /* _AZURE_PGARCH_H */
#endif   /* AZURE_SERVICE_FABRIC */
