#ifdef AZURE_SERVICE_FABRIC

#ifndef LOGGING_HELPER_H
#define LOGGING_HELPER_H

#include "catalog/pg_authid.h"
#include "nodes/parsenodes.h"
#include "nodes/pg_list.h"
#include "libpq/libpq-be.h"

#define RLF_ERROR_LOGON_SUCCEEDED		0
#define RLF_ERROR_LOGON_FAILED			18456

#define RLF_STATE_SUCCESS				0
#define RLF_STATE_OUT_OF_MEMORY			1
#define RLF_STATE_COULD_NOT_FORK		2
#define RLF_STATE_TOO_MANY_CONNECTIONS	3
#define RLF_STATE_DB_IN_SHUTDOWN		4
#define RLF_STATE_DB_IN_STARTUP			5
#define RLF_STATE_DB_IN_RECOVERY		6
#define RLF_STATE_AUTH_FAILED			7
#define RLF_STATE_FIREWALL_BLOCKED		8
#define RLF_STATE_NO_SUCH_DATABASE		9
#define RLF_STATE_BAD_CLIENT_CERT		10
#define RLF_STATE_CONNECTION_THROTTLE	11

extern void report_login_finish(
	int32 state,
	Port *port
);

#endif   /* LOGGING_HELPER_H */

#endif
