#ifdef AZURE_SERVICE_FABRIC

#ifndef PGIOC_HELPERS_H
#define PGIOC_HELPERS_H

/* ----------
 * pgstat_record_writexlog() -
 *
 *   Called to record the time taken by xlog write call.
 * ----------
 */
static inline void
pgstat_record_writexlog(int64 microSeconds, int written)
{
	volatile PGPROC *proc = MyProc;

#define RECORDWRITEXLOG(a,b) if (written <= b) { ++proc->fileOpCounters.COUNT_VAR_NAME(a); proc->fileOpCounters.TIME_VAR_NAME(a) += microSeconds;} else
		FILE_IO_WRITE_COUNTERS(RECORDWRITEXLOG);
#undef RECORDWRITEXLOG	

}

/* ----------
 * pgstat_record_fileread() -
 *
 *   Called to record the time taken to call file read operation.
 * ----------
 */
static inline void
pgstat_record_fileread(int64 microSeconds, int amount)
{
	volatile PGPROC *proc = MyProc;

#define RECORDFILEREAD(a,b) if (amount <= b) { ++proc->fileOpCounters.COUNT_VAR_NAME(a); proc->fileOpCounters.TIME_VAR_NAME(a) += microSeconds;} else
		FILE_IO_READ_COUNTERS(RECORDFILEREAD);
#undef RECORDFILEREAD

}

#endif   /* PGIOC_HELPERS_H */

#endif