#ifdef AZURE_SERVICE_FABRIC

#ifndef PGIOC_PROC_HELPERS_H
#define PGIOC_PROC_HELPERS_H

/*
 * The following define the buckets for IO counters for file reads and xlog writes.
 */

#define FILE_IO_READ_COUNTERS(ENTRY) \
	ENTRY(Read8kb, 8192) \
	ENTRY(ReadOther, PG_INT32_MAX) 

#define FILE_IO_WRITE_COUNTERS(ENTRY) \
	ENTRY(Writexlog8kb, 8192) \
	ENTRY(Writexlog64kb, 65356) \
	ENTRY(Writexlog256kb, 256111) \
	ENTRY(WritexlogOther, PG_INT32_MAX)

#define FILE_IO_COUNTERS(ENTRY) \
		FILE_IO_READ_COUNTERS(ENTRY) \
		FILE_IO_WRITE_COUNTERS(ENTRY)

#define COUNT_VAR_NAME(a) count##a
#define TIME_VAR_NAME(a) totalUs##a

/*
* Capture the counters of interest for PG IO operations. The buckets are defined above.
*/
typedef struct FileOpPgProcCounters
{
#define FILE_IO_COUNTERS_EXPAND_AS_STRUCT_PAIR(a, b) int64 COUNT_VAR_NAME(a); int64 TIME_VAR_NAME(a);
		FILE_IO_COUNTERS(FILE_IO_COUNTERS_EXPAND_AS_STRUCT_PAIR)
#undef FILE_IO_COUNTERS_EXPAND_AS_STRUCT_PAIR
} FileOpPgProcCounters;


#endif   /* PGIOC_PROC_HELPERS_H */

#endif