#ifdef AZURE_SERVICE_FABRIC

#ifndef ROLE_HELPER_H
#define ROLE_HELPER_H

#include "catalog/pg_authid.h"
#include "nodes/parsenodes.h"
#include "nodes/pg_list.h"

extern void fail_if_revoking_core_privileges_from_server_owner(const List *options, const char *rolename);
extern bool is_revoking_privilege(const char *privilege, const DefElem *defel);
extern void fail_if_action_is_on_server_owner(const char *rolename, const char *action);
extern void fail_if_action_is_on_azure_pg_admin_role(const char *rolename, const char *action);
extern bool is_azure_admin(const char *rolename);
extern bool is_azure_admin_oid(Oid roleid);
extern bool is_server_owner(const char *rolename);
extern void fail_if_revoking_azure_admin_from_server_owner(const char *rolename, Oid memberid);
extern bool has_azure_admin_privilege(Oid roleid);

#endif   /* ROLE_HELPER_H */

#endif