/*-------------------------------------------------------------------------
 *
 * servicefabricutils.h
 *	  Header for service fabric related utility functions.
 *
 *-------------------------------------------------------------------------
*/

#ifndef SERVICE_FABRIC_UTILS_H
#define SERVICE_FABRIC_UTILS_H

#ifdef AZURE_SERVICE_FABRIC

/*
 * Attempt to open the primary replica lock file with exclusive (no-sharing)
 * access mode. Returns the file descriptor if successful. In case of failure,
 * returns a negative value and error details can be accessed through errno.
 */
extern int CreatePrimaryReplicaLockFile();

/*
 * Ensure exclusive access to data directory for running in Azure environment.
 */
extern bool
GuaranteeExclusiveDataDirAccess(const char*);

#endif

#endif